
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.product.vo.CategoryVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 品牌店铺关联信息VO
 *
 * @author tmerclub
 * @date 2021-05-08 13:31:45
 */
public class BrandShopVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long brandShopId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "品牌id")
    private Long brandId;

    @Schema(description = "授权资质图片，以,分割")
    private String qualifications;

    @Schema(description = "类型 0：平台品牌，1：店铺自定义品牌")
    private Integer type;

    @Schema(description = "索引首字母")
    private String firstLetter;

    @Schema(description = "logo")
    private String imgUrl;

    @Schema(description = "品牌名称")
    private String name;

    @Schema(description = "品牌状态")
    private Integer brandStatus;
    @Schema(description = "分类id列表")
    private List<Long> categoryIds;

    @Schema(description = "绑定分类列表")
    private List<CategoryVO> categories;

    @Schema(description = "关联系统类型 1.店铺 2.平台端 3.供应商")
    private Integer sysType;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Integer getBrandStatus() {
        return brandStatus;
    }

    public void setBrandStatus(Integer brandStatus) {
        this.brandStatus = brandStatus;
    }

    public String getFirstLetter() {
        return firstLetter;
    }

    public void setFirstLetter(String firstLetter) {
        this.firstLetter = firstLetter;
    }

    public Long getBrandShopId() {
        return brandShopId;
    }

    public void setBrandShopId(Long brandShopId) {
        this.brandShopId = brandShopId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getBrandId() {
        return brandId;
    }

    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    public String getQualifications() {
        return qualifications;
    }

    public void setQualifications(String qualifications) {
        this.qualifications = qualifications;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Long> getCategoryIds() {
        return categoryIds;
    }

    public void setCategoryIds(List<Long> categoryIds) {
        this.categoryIds = categoryIds;
    }

    public List<CategoryVO> getCategories() {
        return categories;
    }

    public void setCategories(List<CategoryVO> categories) {
        this.categories = categories;
    }

    @Override
    public String toString() {
        return "BrandShopVO{" +
                "createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", brandShopId=" + brandShopId +
                ", shopId=" + shopId +
                ", brandId=" + brandId +
                ", qualifications='" + qualifications + '\'' +
                ", type=" + type +
                ", firstLetter='" + firstLetter + '\'' +
                ", imgUrl='" + imgUrl + '\'' +
                ", name='" + name + '\'' +
                ", brandStatus=" + brandStatus +
                ", categoryIds=" + categoryIds +
                ", categories=" + categories +
                ", sysType=" + sysType +
                '}';
    }
}
